curl --request PATCH \
--url https://api.tread-horizon.com/v1/fuel_surcharge_schedule_prices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price": 123,
"bill_surcharge_percentage": 123,
"bill_surcharge": 123
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"price": "<string>",
"bill_surcharge": "<string>",
"bill_surcharge_percentage": "<string>"
}
}Update FuelSurchargeSchedulePrice by ID
This endpoint requires the edit_fuel_price_indices permission
curl --request PATCH \
--url https://api.tread-horizon.com/v1/fuel_surcharge_schedule_prices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price": 123,
"bill_surcharge_percentage": 123,
"bill_surcharge": 123
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"price": "<string>",
"bill_surcharge": "<string>",
"bill_surcharge_percentage": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
FuelSurchargeSchedulePrice ID
OK
Show child attributes